# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename alter

Name:               nodejs-alter
Version:            0.2.0
Release:            1%{?dist}
Summary:            Alters a string

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/alter
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(stable)

Requires:           npm(stable)

%if 0%{?enable_tests}
BuildRequires:      npm(tap)
%endif


%description
Alters a string by replacing multiple range fragments in one fast pass. Works
in node and browsers.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/alter
cp -pr package.json alter.js \
    %{buildroot}%{nodejs_sitelib}/alter

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/*.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/alter/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Initial packaging for Fedora.
